%**************************************************************************
%    FUNCION PARA PLOTEAR UN GRAFICO DE DENSIDAD DE PUNTOS (TIPO SCATTERPLOT PERO EN SHADED). 
%**************************************************************************
function [promedio1]=promedio(data,variable,xrange,deltax,yrange,deltay)

%**************************************************************************
% Calculamos el promedio de una variable a partir de puntos dispersos.
%**************************************************************************

%Obtengo el numero de datos.
% data(:,1) son los valores de x, data(:,2) son los valores de y variable
% son los valores a promediar
[N nada]=size(data);



X=xrange(1):deltax:xrange(2);
Y=yrange(1):deltay:yrange(2);

NX=length(X); NY=length(Y);
for i=1:NX-1
    plot_X(i)=0.5*(X(i)+X(i+1));
    for j=1:NY-1
        plot_Y(j)=0.5*(Y(j)+Y(j+1));
        index=(  data(:,1)  >= X(i) & data(:,1)   < X(i+1) & data(:,2)   >= Y(j) & data(:,2)  < Y(j+1)  );
        if(sum(index)>0)
        promedio1(j,i)=nanmean(variable(index));
        else
            promedio1(j,i)=NaN;
        end

    end   
end


